package cn.com.tenlion.configtable.pojo.vos.configtable;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ConfigTableVO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-06-24 10:59:30
 * @Version: 3.0
 **/
@ApiModel
public class ConfigTableVO {

    @ApiModelProperty(name = "configTableNumber", value = "表单编号")
    @CheckEmptyAnnotation(name = "表单编号")
    private String configTableNumber;
    @ApiModelProperty(name = "configTableCode", value = "数据库表名")
    @CheckEmptyAnnotation(name = "数据库表名")
    private String configTableCode;
    @ApiModelProperty(name = "configTableName", value = "表单描述")
    @CheckEmptyAnnotation(name = "表单描述")
    private String configTableName;
    @ApiModelProperty(name = "configTableActivation", value = "激活状态1:已激活,0:未激活")
    @CheckEmptyAnnotation(name = "激活状态")
    private String configTableActivation;
    @ApiModelProperty(name = "configTableActivationTime", value = "激活时间")
    private String configTableActivationTime;
    @ApiModelProperty(name = "configTableRemark", value = "备注内容")
    private String configTableRemark;
    @ApiModelProperty(name = "configTableMode", value = "表单存储方式1:一条,2:多条")
    @CheckEmptyAnnotation(name = "数据形式")
    private String configTableMode;

    public String getConfigTableNumber() {
        return configTableNumber == null ? "" : configTableNumber.trim();
    }

    public void setConfigTableNumber(String configTableNumber) {
        this.configTableNumber = configTableNumber;
    }

    public String getConfigTableCode() {
        return configTableCode == null ? "" : configTableCode.trim();
    }

    public void setConfigTableCode(String configTableCode) {
        this.configTableCode = configTableCode;
    }

    public String getConfigTableName() {
        return configTableName == null ? "" : configTableName.trim();
    }

    public void setConfigTableName(String configTableName) {
        this.configTableName = configTableName;
    }

    public String getConfigTableActivation() {
        return configTableActivation == null ? "" : configTableActivation.trim();
    }

    public void setConfigTableActivation(String configTableActivation) {
        this.configTableActivation = configTableActivation;
    }

    public String getConfigTableActivationTime() {
        return configTableActivationTime == null ? "" : configTableActivationTime.trim();
    }

    public void setConfigTableActivationTime(String configTableActivationTime) {
        this.configTableActivationTime = configTableActivationTime;
    }

    public String getConfigTableRemark() {
        return configTableRemark == null ? "" : configTableRemark.trim();
    }

    public void setConfigTableRemark(String configTableRemark) {
        this.configTableRemark = configTableRemark;
    }

    public String getConfigTableMode() {
        return configTableMode == null ? "" : configTableMode.trim();
    }

    public void setConfigTableMode(String configTableMode) {
        this.configTableMode = configTableMode;
    }


}
